//
// Created by zoe on 10/5/22.
//

#ifndef CLIENT_PROTOCOL_HPP
#define CLIENT_PROTOCOL_HPP

#include <map>
enum class Protocol { I2C, RS485, Analog };

// protocol to string
const static std::map<Protocol, const char *> protocolToString = {
    {Protocol::I2C, "I2C"}, {Protocol::RS485, "RS485"}, {Protocol::Analog, "ANALOG"}};

#endif // CLIENT_PROTOCOL_HPP
