#include "scd30.hpp"
#include "Wire.h"
#include <SparkFun_SCD30_Arduino_Library.h>

void Forte_SCD30 :: setup(){
    Wire.begin(I2C_SDA, I2C_SCL);
    if(!airSensor.begin()){
        // Sensor init went wrong
        return;
    }
}

float* Forte_SCD30 :: read_data(){
    if(airSensor.dataAvailable())
    {
        data1[0] = airSensor.getCO2();
        data1[1] = airSensor.getTemperature();
        data1[2] = airSensor.getHumidity();

        return data1;
    }
    else
        return 0;
}