#ifndef _INA219
#define _INA219

#include <forte_sensor.hpp>
#include <pinout.hpp>
#include <SparkFun_SCD30_Arduino_Library.h>
#include <INA219_WE.h>

     
struct out_data {
        float shuntVoltage_mV = 0.0;
        float loadVoltage_V = 0.0;
        float busVoltage_V = 0.0;
        float current_mA = 0.0;
        float power_mW = 0.0; 
        bool ina219_overflow = false;  
    };


class Forte_INA219 : public Forte_Sensor{
    public:
        void setup();
        out_data* read_data();
 
    private:
        INA219_WE ina219;
        out_data data; 
};

#endif