
#include <Arduino.h>

#include <scd30.hpp>

Forte_SCD30 scd30;

void setup() {
  Serial.begin(9600);
  scd30.setup();
}

void loop() {
  
  out_data_scd30* data;
  data = scd30.read_data();

  if(data==0)
  {
  Serial.println("Waiting for data!");
  Serial.println();
  }
  else{
        Serial.print("Sensor CO2 "); Serial.println(data->C02);
        Serial.print("Humidity "); Serial.println(data->Humidity);
        Serial.print("Temperature "); Serial.println(data->Temperature);
        Serial.println();
    }
  delay(5000);
}

