#include "Message.hpp"

void Message::add_data(float value, int identifier)
{
	if (data.amountData < NUM_SENSORS) {
		data.values[data.amountData] = value;
		data.identifiers[data.amountData] = identifier;
		data.amountData++;
	}
}

ClientDataPackage Message ::get_client_data_package() const
{
	return data;
}

Message ::Message()
{
	// check for existing host mac address, use broadcast otherwise

	data.amountData = 0;
	data.timestamp = Time::getInstance().getMillis(); // I am assuming we are not sending data from Unix Epoch
}

Message ::Message(ClientDataPackage old_data)
{
	data = old_data;
	// memcpy(&data, &old_data, sizeof(data));
}