#include <Arduino.h>
#include "espnow.hpp"

RTC_DATA_ATTR int cachedAmount = -1;
RTC_DATA_ATTR data_struct backup[10];

data_struct ram_cache_pop(){
    return backup[cachedAmount--];
}

void ram_cache_push(data_struct data){
    backup[++cachedAmount] = data;
}

bool ram_cache_is_empty(){
    return cachedAmount == -1;
}

bool ram_cache_is_full(){
    return cachedAmount == 9;
}