//
// Created by cynthya on 10/6/22.
//

#ifndef CLIENT_SENSORINFORMATION_HPP
#define CLIENT_SENSORINFORMATION_HPP

#include "Protocol.hpp"
#include <string>

class SensorInformation {
  public:
	SensorInformation(std::string sensorName, Protocol protocol) : sensorName(std::move(sensorName)), protocol(protocol)
	{
	}

	[[nodiscard]] const std::string &getSensorName() const { return sensorName; }
	[[nodiscard]] Protocol getProtocol() const { return protocol; }

  private:
	std::string sensorName;
	Protocol protocol;
};

#endif // CLIENT_SENSORINFORMATION_HPP
