
#include <Arduino.h>
#include <ina219.hpp>

Forte_INA219 sensor1;

void setup()
{
	Serial.begin(9600);
	sensor1.setup();
}

void loop()
{

	out_data *data;
	data = sensor1.read_data();

	if (data == 0) {
		Serial.println("Waiting for data!");
		Serial.println();
	} else {
		Serial.print("Shunt Voltage [mV]: ");
		Serial.println(data->shuntVoltage_mV);
		Serial.print("Bus Voltage [V]: ");
		Serial.println(data->busVoltage_V);
		Serial.print("Load Voltage [V]: ");
		Serial.println(data->loadVoltage_V);
		Serial.print("Current[mA]: ");
		Serial.println(data->current_mA);
		Serial.print("Bus Power [mW]: ");
		Serial.println(data->power_mW);
		data->ina219_overflow == false ? Serial.println("Values OK - no overflow")
		                               : Serial.println("Overflow! Choose higher PGAIN");
		Serial.println();
	}
	delay(5000);

	int samples = 5000;
	out_data *data_raw = (out_data *)malloc(samples * sizeof(out_data));

	Serial.println("if you want to start the sensor mesaurment type 'y' ");
/*	while (Serial.read() != 'y') {
		delay(1000);
	}
*/
	Serial.println("Measuring..");

	for (int i = 0; i < samples; i++) {
		data_raw[i] = *sensor1.read_data();
	//	Serial.println(sensor1.read_data()->current_mA);
		delay(1);
	}
	Serial.println("Finished Mesasrument.");

	delay(1000);
	Serial.println("Output data");
	Serial.println();
	Serial.println();
	Serial.println();
	Serial.println();
	Serial.println();
	Serial.println();
	Serial.println();
	Serial.println();
	Serial.println();
	Serial.println();
	Serial.println();
	
	/*
	for (int i = 0; i < samples; i++) {

		if (&data_raw[i] == 0) {
			Serial.println("Waiting for data!");
			Serial.println();
		} else {
			Serial.print("Shunt Voltage [mV]: ");
			Serial.println(data_raw[i].shuntVoltage_mV);
			Serial.print("Bus Voltage [V]: ");
			Serial.println(data_raw[i].busVoltage_V);
			Serial.print("Load Voltage [V]: ");
			Serial.println(data_raw[i].loadVoltage_V);
			Serial.print("Current[mA]: ");
			Serial.println(data_raw[i].current_mA);
			Serial.print("Bus Power [mW]: ");
			Serial.println(data_raw[i].power_mW);
			data_raw[i].ina219_overflow == false ? Serial.println("Values OK - no overflow")
			                                     : Serial.println("Overflow! Choose higher PGAIN");
			Serial.println();
		}
	}
	*/

Serial.print("Shunt Voltage [mV],");
Serial.print("Bus Voltage [V].");
Serial.print("Load Voltage [V],");
Serial.print("Current[mA],");
Serial.print("Bus Power [mW],");
Serial.println("Overflow");

	for (int i = 0; i < samples; i++) {

		if (&data_raw[i] == 0) {
			Serial.println("Waiting for data!");
			Serial.println();
		} else {
			Serial.print(data_raw[i].shuntVoltage_mV);
			Serial.print(",");
			Serial.print(data_raw[i].busVoltage_V);
			Serial.print(",");
			Serial.print(data_raw[i].loadVoltage_V);
			Serial.print(",");
			Serial.print(data_raw[i].current_mA);
			Serial.print(",");
			Serial.print(data_raw[i].power_mW);
			Serial.print(",");
			data_raw[i].ina219_overflow == false ? Serial.println("0") : Serial.println("1");
		}
	}

	Serial.println();
}