#pragma once

#define NUM_SENSORS 10
// packing the struct without padding, makes reading it on the fipy easier
#pragma pack(1)

// having the data be a struct of basic types makes sending easier,
// otherwise we would have to serialize the data before sending
struct ClientDataPackage {
	int identifiers[NUM_SENSORS];
	float values[NUM_SENSORS];
	int amountData;
	long timestamp; // maybe make this array
};
